# _JitterBufferPacket Struct Reference
[JitterBuffer: Adaptive jitter buffer]

`#include <speex_jitter.h>`

List of all members.

## Public Attributes

char * | data
spx_uint32_t | len
spx_uint32_t | timestamp
spx_uint32_t | span
spx_uint16_t | sequence
spx_uint32_t | user_data

## Detailed Description

Definition of an incoming packet

## Member Data Documentation

char* _JitterBufferPacket::data

Data bytes contained in the packet

spx_uint32_t _JitterBufferPacket::len

Length of the packet in bytes

spx_uint32_t _JitterBufferPacket::timestamp

Timestamp for the packet

spx_uint32_t _JitterBufferPacket::span

Time covered by the packet (same units as timestamp)

spx_uint16_t _JitterBufferPacket::sequence

RTP Sequence number if available (0 otherwise)

spx_uint32_t _JitterBufferPacket::user_data

Put whatever data you like here (it's ignored by the jitter buffer)

The documentation for this struct was generated from the following file:

- /home/rakkar/raknet-trunk/export/DependentExtensions/speex-1.2beta3/include/speex/speex_jitter.h